% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils.R
\name{trials.needed}
\alias{trials.needed}
\title{Estimate number of monte carlo trials needed to estimate p-value}
\usage{
trials.needed(M, alpha, signed, missing.as.zero, mtc, how.close = 0.95)
}
\arguments{
\item{M}{matrix: An adjacency matrix representing a network from which a backbone is is being extracted}

\item{alpha}{real: significance level of hypothesis test(s)}

\item{signed}{boolean: TRUE for a signed backbone, FALSE for a binary backbone}

\item{missing.as.zero}{boolean: should missing edges be treated as edges with zero weight and tested for significance}

\item{mtc}{string: type of Multiple Test Correction to be applied; can be any method allowed by \code{\link{p.adjust}}.}

\item{how.close}{real: How close can the empirical p-value be to alpha and still be distinguishable, expressed as a proportion}
}
\value{
integer
}
\description{
\code{trials.needed} estimates the number of monte carlo trials needed to estimate edgewise p-values
}
\keyword{internal}
